import { validatePerson, validateVcard } from 'cic-schemas-data-validator';

async function personValidation(person: any): Promise<void> {
  const personValidationErrors = await validatePerson(person);

  if (personValidationErrors) {
    personValidationErrors.map(error => console.log(`${error.message}`));
  }
}

async function vcardValidation(vcard: any): Promise<void> {
  const vcardValidationErrors = await validateVcard(vcard);

  if (vcardValidationErrors) {
    vcardValidationErrors.map(error => console.log(`${error.message}`));
  }
}

export {
  personValidation,
  vcardValidation,
};
